com.orsoncharts.data

## Enum NullConversion

- java.lang.Object
- - java.lang.Enum<NullConversion>
  - - com.orsoncharts.data.NullConversion

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NullConversion>

      public enum NullConversion
      extends java.lang.Enum<NullConversion>

  Options for handling `null` values during dataset extraction (SKIP, CONVERT_TO_NAN, CONVERT_TO_ZERO, THROW_EXCEPTION).
  Since:
    1.3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONVERT_TO_NAN` Convert the `null` to `Double.NaN`.
    `CONVERT_TO_ZERO` Convert the `null` to zero.
    `SKIP` Skip the item that contains the `null` value.
    `THROW_EXCEPTION` Throw a runtime exception.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NullConversion` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NullConversion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SKIP

          public static final NullConversion SKIP

      Skip the item that contains the `null` value.

    - #### CONVERT_TO_NAN

          public static final NullConversion CONVERT_TO_NAN

      Convert the `null` to `Double.NaN`.

    - #### CONVERT_TO_ZERO

          public static final NullConversion CONVERT_TO_ZERO

      Convert the `null` to zero.

    - #### THROW_EXCEPTION

          public static final NullConversion THROW_EXCEPTION

      Throw a runtime exception.

  - ### Method Detail

    - #### values

          public static NullConversion[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NullConversion c : NullConversion.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NullConversion valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null